%global dlrn_nvr validations-common-1.1.2.dev1-1.20210326153615.7f3c565
%global dlrn 1
%define upstream_version 1.1.2.dev1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}}
%global upstream_name validations-common
%global srcname validations_common

Name:           validations-common
Summary:        A collection of Ansible libraries, Plugins and Roles for the Validation Framework
Version: 1.1.2
Release: 1.20210326153615.7f3c565%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/validations-common
Source0: validations-common-1.1.2.dev1-1.20210326153615.7f3c565.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=7f3c565b00fa3dff339044d88c9f20328b5bda1f
Patch0001: 0001-Revert-Make-mock-import-python-2.7-compatible.patch
Patch0002: 0002-Add-molecule-tests-runs-back-in-the-CI.patch
Patch0003: 0003-Updated-corrected-service_status.patch
Patch0004: 0004-Add-missing-exec-bit.patch
Patch0005: 0005-Convert-docker-molecule-usage-to-podman.patch
Patch0006: 0006-Use-the-UBI8-image-for-testing.patch
Patch0007: 0007-setup.cfg-Whitespace-cleanup.patch
Patch0008: 0008-Install-CI-roles-into-share-ansible-roles.patch
Patch0009: 0009-Fix-validation-and-group-arguments-to-accept-comma-l.patch
Patch0010: 0010-Exclude-non-failing-gathering-facts-action-in-simpli.patch
Patch0011: 0011-Remove-ensure-docker-role-execution.patch
Patch0012: 0012-Correct-the-validate_selinux-working_dir.patch
Patch0013: 0013-make-selinux-check-only-for-rhel-distribution.patch
Patch0014: 0014-Exit-with-zero-status-when-denials-are-not-found-in-.patch
Patch0015: 0015-Add-default-value-for-validation.py-inventory.patch
Patch0016: 0016-Restrict-execution-to-localhost-only.patch
Patch0017: 0017-Make-callback-write-to-default-if-var-log-validation.patch

BuildArch:      noarch
BuildRequires:  git
BuildRequires:  openstack-macros
BuildRequires:  python%{pyver}-setuptools
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr >= 3.1.1
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-oslotest

%if %{pyver} == 2
BuildRequires:  ansible >= 2
BuildRequires:  PyYAML
%else
BuildRequires:  python3dist(ansible) >= 2
BuildRequires:  python%{pyver}-PyYAML
%endif

%if %{pyver} == 2
Requires:       ansible >= 2
Requires:       PyYAML
%else
Requires:       python3dist(ansible) >= 2
Requires:       python%{pyver}-PyYAML
%endif

Requires:       python%{pyver}-pbr >= 3.1.1
Requires:       python%{pyver}-validations-libs

Requires:       python%{pyver}-prettytable

%description
A collection of Ansible librairies, Plugins and Roles for the Validation Framework

%prep
%autosetup -n %{upstream_name}-%{upstream_version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}

%install
%{pyver_install}

%check
PYTHON=%{pyver_bin} stestr-%{pyver} --test-path validations_common/tests run

%files
%doc README* AUTHORS ChangeLog
%license LICENSE
%{_bindir}/validation.py
%{pyver_sitelib}/%{srcname}
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/
%exclude %{pyver_sitelib}/validations_common/test*

%changelog
* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Make callback write to default if /var/log/validations does not exist (rhbz#1895045)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Feb 11 2021 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 1.1.2-1.20201114033622
- Restrict execution to localhost only (rhbz#1926238)
- Add default value for validation.py inventory (rhbz#1887444)
- Exit with zero status when denials are not found in audit log (rhbz#1891210)
- make selinux check only for rhel distribution

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 29 2020 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 1.1.2-1.20200914180305
- Correct the validate_selinux working_dir (rhbz#1876040)
- Remove ensure-docker role execution
- Exclude non failing gathering facts action in simplified result (rhbz#1889776)
- Fix validation and group arguments to accept comma lists
- Install CI roles into share/ansible/roles
- setup.cfg Whitespace cleanup
- Use the UBI8 image for testing
- Convert docker molecule usage to podman
- Add missing exec bit
- Updated/corrected service_status
- Add molecule tests runs back in the CI
- Revert "Make mock import python 2.7 compatible"

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix lower-constraints errors for validations-common
- Change path for validation Ansible files

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Get validation log path if exist

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch legacy Zuul jobs to native Zuul v3 jobs

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix pygments style

* Fri Jul 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add validation.py as script in setup.cfg

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Add TripleO Jobs back"

* Fri Jul 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Output duration not only on failed and skipped states

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Log output results instead of print on the console

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- drop mock from lower-constraints

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add validation cli script

* Mon Jun 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop to use the __future__ module.

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid broken dogpile.cache
- Add check-disk-space-pre-upgrade playbooks

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the pytest import.

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the tox minversion parameter.

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move unit tests execution to stestr

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump default tox env from py37 to py38
- Add py38 package metadata

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests
- Update master for stable/ussuri

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

